This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 25268 - pump doesn't make DHCP options available
pump doesn't make DHCP options available
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-30 03:19 EST by H. Peter Anvin
Modified: 2007-04-18 12:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 12:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct nisdomain setting and to include some dhcp info in script environment (9.10 KB, patch)
2001-03-21 14:20 EST, Dano Carroll
no flags Details | Diff

  None (edit)
Description H. Peter Anvin 2001-01-30 03:19:16 EST
The DHCPACK or BOOTP packet received by pump may contain information about
network services, such as timeservers (usable by xntpd) and outgoing mail
servers.  It doesn't, however, make this information available to
applications, even though it contains a script-invoking function.

In these days of secure mail servers, it's a big deal for portable users to
be able to use the SMTP server directed by the ISP this way.  Similarly,
again for portable users, it's a big win to be able to integrate other
services with DHCP this way.

I suggest saving the DHCP packet in a file (say, /var/run/pump.eth0.pkt)
and let client programs parse the DHCP client options themselves; this is a
lot more generic than trying to parse them inside pump.
Comment 1 H. Peter Anvin 2001-02-09 13:02:55 EST
Perhaps an even better option would be to have loadable modules (.so files)
invokable by pump.  If so, they can pass the packet data in memory.
Comment 2 Dano Carroll 2001-03-21 14:20:58 EST
Created attachment 13284 [details]
Patch to correct nisdomain setting and to include some dhcp info in script environment
Comment 3 Elliot Lee 2001-08-08 00:33:56 EDT
Hmm, dhcpcd replaces pump in rawhide - can you look into reinterpreting the 
concept in light of that?
Comment 4 H. Peter Anvin 2001-08-08 01:41:59 EDT
I haven't played with dhcpcd, so I can't comment; I have mentioned to a few
RedHat people that you may want to consider using dhclient, which is part of the
reference DHCP distribution, and can be customized to obtain all kinds of
information.

Note You need to log in before you can comment on or make changes to this bug.